ReturnObjectBag
Date: 2015-09-15

org.jmock.expectation

## Class ReturnObjectBag

- java.lang.Object
- - org.jmock.expectation.ReturnObjectBag

- All Implemented Interfaces:
    Verifiable

      public class ReturnObjectBag
      extends java.lang.Object
      implements Verifiable

  The ReturnObjectBag is a map containing instances of ReturnObjectList. A single instance is held for each mapkey. Every time a call to putObjectToReturn or getNextReturnObject is made an object is added or removed from the ReturnObjectList for the given key. This allows the ReturnObjectBag to be used to return an ordered list of objects for each key regardless of the order in which the key requests are made.
  See Also:
    `ReturnObjectList`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReturnObjectBag(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Hashtable` | `getHashTable()`
    `boolean` | `getNextReturnBoolean(java.lang.Object key)`
    `int` | `getNextReturnInt(java.lang.Object key)`
    `java.lang.Object` | `getNextReturnObject(int key)` Returns the next object in the ReturnObjectList for a given int key.
    `java.lang.Object` | `getNextReturnObject(java.lang.Object key)` Returns the next object in the ReturnObjectList for a given key.
    `void` | `putObjectToReturn(int key, java.lang.Object value)` Places an object into the list of return objects for a particular int key
    `void` | `putObjectToReturn(java.lang.Object key, boolean value)` Places an boolean into the list of return objects for a particular key.
    `void` | `putObjectToReturn(java.lang.Object key, int value)` Places an int into the list of return objects for a particular key.
    `void` | `putObjectToReturn(java.lang.Object key, java.lang.Object value)` Places an object into the list of return objects for a particular key
    `void` | `verify()` Checks each the list for each key to verify that all no objects remain in the list for that key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReturnObjectBag

          public ReturnObjectBag(java.lang.String name)

      Parameters:
        `name` - Name used to describe an instance of ReturnObjectBag in error messages

  - ### Method Detail

    - #### putObjectToReturn

          public void putObjectToReturn(java.lang.Object key,
                               java.lang.Object value)

      Places an object into the list of return objects for a particular key
      Parameters:
        `key` - the key against which the object will be stored
        `value` - the value to be added to the list for that key
      See Also:
        `ReturnObjectList.addObjectToReturn(java.lang.Object)`

    - #### putObjectToReturn

          public void putObjectToReturn(int key,
                               java.lang.Object value)

      Places an object into the list of return objects for a particular int key
      Parameters:
        `key` - the key against which the object will be stored
        `value` - the value to be added to the list for that key
      See Also:
        `ReturnObjectList.addObjectToReturn(java.lang.Object)`

    - #### putObjectToReturn

          public void putObjectToReturn(java.lang.Object key,
                               int value)

      Places an int into the list of return objects for a particular key. The value can be retrieved using the getNextReturnInt invokedMethod
      Parameters:
        `key` - the key against which the object will be stored
        `value` - the value to be added to the list for that key
      See Also:
        `ReturnObjectList.addObjectToReturn(java.lang.Object)`, `getNextReturnInt(java.lang.Object)`

    - #### putObjectToReturn

          public void putObjectToReturn(java.lang.Object key,
                               boolean value)

      Places an boolean into the list of return objects for a particular key. The value can be retrieved using the getNextReturnBoolean invokedMethod
      Parameters:
        `key` - the key against which the object will be stored
        `value` - the value to be added to the list for that key
      See Also:
        `ReturnObjectList.addObjectToReturn(java.lang.Object)`, `getNextReturnBoolean(java.lang.Object)`

    - #### verify

          public void verify()

      Checks each the list for each key to verify that all no objects remain in the list for that key.
      Specified by:
        `verify` in interface `Verifiable`
      See Also:
        `ReturnObjectList.verify()`

    - #### getNextReturnObject

          public java.lang.Object getNextReturnObject(java.lang.Object key)

      Returns the next object in the ReturnObjectList for a given key. The call will throw an AssertFailError if the requested key is not present within this ReturnObjectBag.
      Parameters:
        `key` - The key for which the next object should be returned.
      Returns:
        The next object from the ReturnObjectList stored against the given key.
      See Also:
        `ReturnObjectList.nextReturnObject()`

    - #### getNextReturnObject

          public java.lang.Object getNextReturnObject(int key)

      Returns the next object in the ReturnObjectList for a given int key. The call will throw an AssertFailError if the requested key is not present within this ReturnObjectBag.
      Parameters:
        `key` - The key for which the next object should be returned.
      Returns:
        The next object from the ReturnObjectList stored against the given key.
      See Also:
        `ReturnObjectList.nextReturnObject()`

    - #### getHashTable

          public java.util.Hashtable getHashTable()

    - #### getNextReturnInt

          public int getNextReturnInt(java.lang.Object key)

    - #### getNextReturnBoolean

          public boolean getNextReturnBoolean(java.lang.Object key)